about summary refs log tree commit diff stats
path: root/src
diff options
context:
space:
mode:
authorCharadon <dev@iotib.net>2022-09-20 11:33:11 -0400
committerCharadon <dev@iotib.net>2022-09-20 11:33:11 -0400
commit4a01250a8572ae2965b27e9a11daa9820e0433d2 (patch)
treeaa55af55b8ba63cd2e7956476152a5c9df3089a1 /src
parent133aaea0fab65b6c48d31493c4758be302427aa6 (diff)
downloadPong-C-4a01250a8572ae2965b27e9a11daa9820e0433d2.tar.gz
Added launch script for unix systems.
Diffstat (limited to 'src')
-rw-r--r--src/launch.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/src/launch.sh b/src/launch.sh
new file mode 100644
index 0000000..7f8fd82
--- /dev/null
+++ b/src/launch.sh
@@ -0,0 +1,9 @@
+#!/bin/sh
+# Launch script for unix systems, loads bundled libraries if there are any.
+
+cd "$(dirname $0)"
+DYLD_LIBRARY_PATH=libs/ LD_LIBARY_PATH=libs/ ./Pong > output.log 2>&1
+if [ ! $? = "0" ];
+then
+	zenity --error --text="The program appears to not have closed correctly. Please check output.log to see details."
+fi